QGIS Application - Feature request #8479
create layer from selection
2013-08-17 12:45 PM - Gavin Fleming

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17246
Description

New:

If you want to create a new layer based on a selection, it is impossible if the selection was spatial as there is no visible SQL artefact
describing the selection.

Like the ESRI 'create layer from selection’, or the QGIS 'spatial query' plugin, it would be great to right-click on a layer and do this, the
result being a new virtual layer filtered by the same query that resulted in the current layer's selection, whether it was done with SQL or
was a graphical query, the result of a spatial overlay, or any operation resulting in a selection.

Old:

If you want to create a new layer based on a selection, it is impossible if the selection was spatial as there is no visible SQL artefact
describing the selection.

Like the ESRI 'create layer from selection’, or the QGIS 'spatial query' plugin, it would be great to right-click on a layer and do this, the
result being a new layer (NOT a new 'save as' dataset) filtered by the same query that resulted in the current layer's selection, whether it
was done with SQL or was a graphical query, the result of a spatial overlay, or any operation resulting in a selection.

History

#1 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:06 AM - Jiirgen Fischer

- Category set to Unknown

#3 - 2017-09-22 11:46 AM - Gavin Fleming

- Description updated

| can't seem to be able to modify the original description so I'd like to change

Gavin Fleming wrote:

If you want to create a new layer based on a selection, it is impossible if the selection was spatial as there is no visible SQL artefact describing the

selection.

Like the ESRI ‘create layer from selection’, or the QGIS 'spatial query' plugin, it would be great to right-click on a layer and do this, the result being a
new layer (NOT a new 'save as' dataset) filtered by the same query that resulted in the current layer's selection, whether it was done with SQL or

was a graphical query, the result of a spatial overlay, or any operation resulting in a selection.
to

If you want to create a new layer based on a selection, it is impossible if the selection was spatial as there is no visible SQL artefact describing the

selection.

Like the ESRI 'create layer from selection', or the QGIS 'spatial query' plugin, it would be great to right-click on a layer and do this, the result being a new
virtual layer filtered by the same query that resulted in the current layer's selection, whether it was done with SQL or was a graphical query, the result of a

spatial overlay, or any operation resulting in a selection.

#4 - 2017-09-22 11:47 AM - Giovanni Manghi
- Description updated

Done. Note: the spatial query plugin was removed in QGISS3.
